API reference · Interview

Delete PII data for multiple onboarding sessions with multiple options.

DELETE/omni/interviews

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Delete all PII data for onboarding sessions by given array of interview ids. Note: Works with Admin Token.Please, bear in mind that usage of this API endpoint for deletion of Customer Data will mean that Incode will no longer have access to it nor will be able to review or analyze any issue related to deleted Customer Data. After deletion, as Incode will not be able to retrieve the deleted Customer Data, any potential claims related to such data will be waived by Customer. Finally, for clarity purposes, Incode may continue to process information derived from Customer Data that has been deidentified, anonymized, and/or aggregated such that the data is no longer considered Personal Data under applicable Data Protection Laws and in a manner that does not identify individuals or Customer to improve its services and defend its legitimate interests.

Path & query parameters

Name In Type Required Description
api-version header string yes

Request body

Content-Type: application/json

Field Type Required Description
filter object yes Filter for cleaning interview
filter.ids array[string] List of identifiers interviews
filter.flowId string Flow id, if passed, then delete all interviews related to this flow
filter.externalId string Specify which external-id.
filter.externalCustomerId string Specify which external-customer-id.
filter.lastActiveDate string (date-time) To delete all interviews active before this date
config object Configuration for cleaning interview
config.deletePiiDataOnly boolean Boolean, optional. Flag indicating if this is partial delete, where only PII fields should be removed. Default is true. Note: False is allowed to be used only if this organization has the required setting. Default: true
config.deletionMode string Specifies the type of deletion to perform. Enum: BIOMETRICS, PII, FULL
config.sendNotification boolean Flag indicating to send a notification about a change interview status Default: false
config.relatedEntitiesToKeep array[string] List of related entities to be saved. Works only when deletePiiDataOnly=true

Responses

200

OK

Response body (application/json):

Field Type Required Description
success boolean Flag indicating request passed successfully.
sessionStatus string Session status Enum: Alive, Closed, Deleted
taskId string
statusUri string
Was this page helpful?